10 comments

v4.0.2 for IDEA 7.x (12-may-2007)
=================================
- Plugin migrated to IDEA 7.x
- ID8: Upgrade to new plugin.xml format
- ID9: Insert last policy fixed so it handles end of file comments

0

v4.0.3 for IDEA 7.x (15-sep-2007)
=================================
- Build using JDK1.6 that is shipped with IDEA
- ID10: Generated code inserted into wrong place
- ID11: Memory Leak in GenerateToStringContext
- ID12: Generated code inserted into wrong place (before class)

0

I use this plugin on MacOSX where IDEA 7.x is still built using Java 5. Should I download this plugin?

-Reggie

0

No the plugin is compiled and targeted with 1.6 in mind, as it was shipped with IDEA.

I will release a new version that is set to use 1.5. Could you then try it and let me know if it works?

0

v4.0.4 for IDEA 7.x (16-sep-2007)
=================================
- This is just as v4.0.3 but targeted to JDK1.5 to support Mac users (I wish I had a Mac, they are fab)

0

I had to use JDK1.6 compiler since IDEA has class files build with this one. But I set javac to target for JDK1.5. I hope that does the trick.

Could anyone on Mac try it out and let us know if it works?

0

v4.0.5 for IDEA 7.x (05-jan-2008)
=================================
- ID13: Remove usage of @deprecated IDEA API (partly done)
- ID14: Generated code inserted into wrong place (class javadoc)
- ID15: Plugin stops working if two frames are open in Idea 7.0.1
- ID16: Internal IDE exception thrown for IDEA 7.0.1 (build #7364)

0

v4.0.6 for IDEA 7.x (05-juli-2008)
==================================
- ID17: Proper resource handling for loading template files
- ID21: $member.typeName and $member.typeQualifiedName did not handle generic and primitve types

0

v4.0.7 released that should work on Mac OS also.

0

Please sign in to leave a comment.